Loading...
Searching...
No Matches
BALL::Bruker1DFile Class Reference
Molecular Modeling » File Formats » NMR File Formats

`#include <BALL/FORMAT/bruker1DFile.h>`

Inheritance diagram for BALL::Bruker1DFile:

## Public Member Functions

Constructors and Destructors
| Bruker1DFile ()
| Bruker1DFile (const String &name, OpenMode open_mode=std::ios::in|std::ios::binary)
virtual | ~Bruker1DFile ()
| Destructor.
Public Member Functions inherited from BALL::File
| File ()
| File (const String &name, OpenMode open_mode=std::ios::in)
virtual | ~File ()
virtual void | clear ()
bool | isValid () const
bool | open (const String &name, File::OpenMode open_mode=std::ios::in)
bool | reopen ()
bool | reopen (File::OpenMode open_mode)
void | close ()
const String & | getName () const
void | setName (const String &name)
const String & | getOriginalName () const
Size | getSize ()
File::OpenMode | getOpenMode () const
Type | getType (bool trace_link) const
bool | copyTo (const String &destination_name, Size buffer_size=4096)
bool | moveTo (const String &destination_name)
bool | remove ()
bool | renameTo (const String &new_path)
bool | truncate (Size size=0)
std::fstream & | getFileStream ()
TransformationManager & | getTransformationManager ()
const TransformationManager & | getTransformationManager () const
bool | operator== (const File &file) const
bool | operator!= (const File &file) const
bool | isOpen () const
bool | isClosed () const
bool | isAccessible () const
bool | isCanonized () const
bool | isReadable () const
bool | isWritable () const
bool | isExecutable () const

## Accessors

Size | min_
Size | max_
JCAMPFile | pars_
| The parameters from the procs file.
RegularData1D | spectrum_
void | read (const String &name)
void | read ()
const RegularData1D & | getData () const
const JCAMPFile::EntryMap & | getParameters () const
const JCAMPFile::HeaderMap & | getHeader () const

## Additional Inherited Members

Public Types inherited from BALL::File
typedef std::ios::openmode | OpenMode
enum | Transformation { TRANSFORMATION__EXEC = 1 , TRANSFORMATION__FILTER = 2 , TRANSFORMATION__URL = 3 }
enum | Type { TYPE__UNKNOWN = 0 , TYPE__DIRECTORY = 1 , TYPE__CHAR_SPECIAL_FILE = 2 , TYPE__BLOCK_SPECIAL_FILE = 3 , TYPE__REGULAR_FILE = 4 , TYPE__SYMBOLIC_LINK = 5 , TYPE__SOCKET = 6 , TYPE__FIFO_SPECIAL_FILE = 7 }
static Size | getSize (String name)
static Type | getType (String name, bool trace_link)
static bool | copy (String source_name, String destination_name, Size buffer_size=4096)
static bool | move (const String &source_name, const String &destination_name)
static bool | remove (String name)
static bool | rename (String old_path, String new_path)
static bool | truncate (String path, Size size=0)
static bool | createTemporaryFilename (String &temporary, const String &suffix=".TMP")
static void | enableTransformation (Transformation transformation)
static void | disableTransformation (Transformation transformation)
static bool | isTransformationEnabled (Transformation transformation)
static void | registerTransformation (const String &pattern, const String &exec)
static void | unregisterTransformation (const String &pattern)
static bool | isAccessible (String name)
static bool | isReadable (String name)
static bool | isWritable (String name)
static bool | isExecutable (String name)
Static Public Attributes inherited from BALL::File
static const OpenMode | MODE_IN
| Open for input (default).
static const OpenMode | MODE_OUT
| Open for output.
static const OpenMode | MODE_APP
| Append. Seek to end before each write operation.
static const OpenMode | MODE_BINARY
| Binary mode.
static const OpenMode | MODE_ATE
| Seek to end directly after opening.
static const OpenMode | MODE_TRUNC
| Truncate an existing file.
static const String | TRANSFORMATION_EXEC_PREFIX
| Prefix for filenames that are created through the execution of commands "exec:".
static const String | TRANSFORMATION_FILE_PREFIX
| Prefix for files (to mimick URL-like behavior) "file:".
static const String | TRANSFORMATION_FTP_PREFIX
| Prefix for FTP-transfers "ftp://".
static const String | TRANSFORMATION_HTTP_PREFIX
| Prefix for HTTP-transfer "http://".
String | name_
String | original_name_
OpenMode | open_mode_
bool | is_open_
bool | is_temporary_
static HashSet< String > | created_temp_filenames_
static TransformationManager | transformation_manager_
static Size | transformation_methods_

## Detailed Description

Bruker 1D spectrum format. A class for handling Bruker one-dimensional NMR spectra.

Definition at line 22 of file bruker1DFile.h.

## Constructor & Destructor Documentation

## Bruker1DFile() [1/2]

BALL::Bruker1DFile::Bruker1DFile | ( |  | ) |

Constructor

## Bruker1DFile() [2/2]

BALL::Bruker1DFile::Bruker1DFile | ( | const String & | name,
|  | OpenMode | open_mode = std::ios::in|std::ios::binary )

Constructor

Parameters

  name | important: name of the Bruker-*directory*

Exceptions

  Exception::FileNotFound | if the file could not be opened

## ~Bruker1DFile()

virtual BALL::Bruker1DFile::~Bruker1DFile | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## getData()

const RegularData1D & BALL::Bruker1DFile::getData | ( |  | ) | const

inline

Return a pointer to the spectrum.

Definition at line 59 of file bruker1DFile.h.

## getHeader()

const JCAMPFile::HeaderMap & BALL::Bruker1DFile::getHeader | ( |  | ) | const

inline

Definition at line 65 of file bruker1DFile.h.

## getParameters()

const JCAMPFile::EntryMap & BALL::Bruker1DFile::getParameters | ( |  | ) | const

inline

Definition at line 62 of file bruker1DFile.h.

## read() [1/2]

void BALL::Bruker1DFile::read | ( |  | ) |

## read() [2/2]

void BALL::Bruker1DFile::read | ( | const String & | name | ) |

Read a spectrum from name. It will be stored in spectrum_

## Member Data Documentation

## max_

Size BALL::Bruker1DFile::max_

protected

Definition at line 75 of file bruker1DFile.h.

## min_

Size BALL::Bruker1DFile::min_

protected

Definition at line 74 of file bruker1DFile.h.

## pars_

JCAMPFile BALL::Bruker1DFile::pars_

protected

The parameters from the procs file.

Definition at line 78 of file bruker1DFile.h.

## spectrum_

RegularData1D BALL::Bruker1DFile::spectrum_

protected

Definition at line 80 of file bruker1DFile.h.